
// memtest.l                                        test of the mem.c module
// by Mark Duchaineau (free but copyrighted, see LibGen/COPYING)
//
// 11-25-92: outlined
// 11-29-92: changed to lib format
// 01-11-94: new lib format

lib_include "../../sys.l";

lib_main {
    char *m0,*m1,*m2,*m3;

    mem_printinfo();

    printf("\nTest of the mem.c module:\n");
    m0=mem_get(0x00100,"memtest get m0");
    m1=mem_get(0x01000,"memtest get m1");
    malloc(0x10000);
    m2=mem_get(0x10000,"memtest get m2");
    m3=mem_get(0x10000,"memtest get m3");
    mem_put(m2,"memtest put m2");
    m2=mem_get(0x08000,"memtest re-get m2");
    printf("memory locations allocated: %p %p %p %p\n",m0,m1,m2,m3);
    mem_printinfo();
    printf("mem used=0x%8.8x\n",mem_use());
};


