
// picconvert.l
// by Mark Duchaineau (free but copyrighted, see LibGen/COPYING)
//
// circa 94: wrote

lib_include "../pic.l";

lib_main {
    int i,i0,t0,t1;
    char *a;
    double q;
    pic p;
    picform pf;

    if (argc<3)
        { fprintf(stderr,"usage: picconvert src.xxx dst.yyy\n"); exit(1); }
    p=pic_read(argv[1]);
    if (!p)
        { fprintf(stderr,"picconvert: couldn't load %s\n",argv[1]); exit(1); }
    if (argc>3) {
        for (pf=picform0;pf;pf=(pf?pf->pf1:pf)) {
            if ((*pf->event)(PICFORM_NAMECHECK,argv[2])==(char *)0) {
                (*pf->event)(PICFORM_ENCODEARGS,(char *)(argv+3));
                pf=(picform)0;
            }

        }
    }
    if (pic_write(p,argv[2]))
        { fprintf(stderr,"picconvert: couldn't save %s\n",argv[2]); exit(1); }
};


